function PVPSound_OnLoad()
	frame:RegisterEvent("PLAYER_ENTERING_WORLD")
	frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	frame:RegisterEvent("PLAYER_DEAD")
	frame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
	frame:RegisterEvent("CHAT_MSG_BG_SYSTEM_NEUTRAL")
	frame:RegisterEvent("CHAT_MSG_BG_SYSTEM_ALLIANCE")
	frame:RegisterEvent("CHAT_MSG_BG_SYSTEM_HORDE")
	frame:RegisterEvent("CHAT_MSG_MONSTER_YELL")
	frame:RegisterEvent("CHAT_MSG_RAID_BOSS_EMOTE")
	frame:RegisterEvent("WORLD_MAP_UPDATE")
	frame:RegisterEvent("UPDATE_WORLD_STATES")

	-- Slash Commands
	SlashCmdList["PVPSound"] = PVPSound_Command
	SLASH_PVPSound1 = "/pvpsound"
	SLASH_PVPSound2 = "/ps"
end

	-- Default Settings
	PS_pvpmode = true
	PS_emote = true
	PS_emotemode = true
	PS_killsound = true
	PS_paysound = true
	PS_multikillsound = true
	PS_bgsound = true
	PS_soundengine = true
	PS_channel = "Master"

	frame = CreateFrame("FRAME", "PVPSound_Frame")
	local PS_timer_reset = false
	local PS_reset_time = 1800
	local PS_kill_time = 60
	local PS_mkill_time = 16
	local PS_killcounter = 0
	local MyFaction = "NotYet"
	local MyGender = "NotYet"
	local BgIsOver = "NotYet"
	local SotaAttacker = "NotYet"
	local SotaRoundOver = "NotYet"
	local IocAllianceGateDown = "NotYet"
	local IocHordeGateDown = "NotYet"
	local TbActive = "NotYet"
	local TbAttacker = "NotYet"
	local WgActive = "NotYet"
	local WgAttacker = "NotYet"

	local ABobjectives = {Blacksmith = 0, Farm = 0, GoldMine = 0, LumberMill = 0, Stables = 0}

	local function ABget_objective(id)
		if id >= 126 and id <= 130 then return "Blacksmith"
		elseif id >= 231 and id <= 235 then return "Farm"
		elseif id >= 316 and id <= 320 then return "GoldMine"
		elseif id >= 421 and id <= 425 then return "LumberMill"
		elseif id >= 536 and id <= 540 then return "Stables"
		else return false
		end
	end

	local function ABobj_state(id)
		if id == 128 or id == 233 or id == 318 or id == 423 or id == 538 then
		return 1 -- Alliance Base
		elseif id == 130 or id == 235 or id == 320 or id == 425 or id == 540 then
		return 2 -- Horde Base
		elseif id == 127 or id == 232 or id == 317 or id == 422 or id == 537 then
		return 3 -- Alliance trys to capture
		elseif id == 129 or id == 234 or id == 319 or id == 424 or id == 539 then
		return 4 -- Horde trys to capture
		else return 0 -- Noone controling
		end
	end

	local TBFGobjectives = {Lighthouse = 0, Mines = 0, Waterworks = 0}
	
	local function TBFGget_objective(id)
		if id >= 106 and id <= 112 then return "Lighthouse"
		elseif id >= 216 and id <= 220 then return "Mines"
		elseif id >= 326 and id <= 330 then return "Waterworks"
		else return false
		end
	end

	local function TBFGobj_state(id)
		if id == 111 or id == 218 or id == 328 then
		return 1 -- Alliance Base
		elseif id == 110 or id == 220 or id == 330 then
		return 2 -- Horde Base
		elseif id == 109 or id == 217 or id == 327 then
		return 3 -- Alliance trys to capture
		elseif id == 112 or id == 219 or id == 329 then
		return 4 -- Horde trys to capture
		else return 0 -- Noone controling
		end
	end

	local IOCobjectives = {Quarry = 0, Workshop = 0, Hangar = 0, Docks = 0, Refinerie = 0}

	local function IOCget_objective(id)
		if id >= 16 and id <= 20 then return "Quarry"
		elseif id >= 135 and id <= 139 then return "Workshop"
		elseif id >= 140 and id <= 144 then return "Hangar"
		elseif id >= 145 and id <= 149 then return "Docks"
		elseif id >= 150 and id <= 154 then return "Refinerie"
		else return false
		end
	end

	local function IOCobj_state(id)
		if id == 18 or id == 136 or id == 141 or id == 146 or id == 151 then
		return 1 -- Alliance
		elseif id == 20 or id == 138 or id == 143 or id == 148 or id == 153 then
		return 2 -- Horde
		elseif id == 17 or id == 137 or id == 142 or id == 147 or id == 152 then
		return 3 -- Alliance trys to capture
		elseif id == 19 or id == 139 or id == 144 or id == 149 or id == 154 then
		return 4 -- Horde trys to capture
		else return 0 -- Noone controling
		end
	end

	local SOTAobjectives = {AllianceDefense = 0, HordeDefense = 0, EastGraveyard = 0, WestGraveyard = 0, SouthGraveyard = 0, AllianceChamberofAncientRelics = 0, HordeChamberofAncientRelics = 0, GateoftheRedSun = 0, GateoftheBlueSapphire = 0, GateoftheYellowMoon = 0, GateofthePurpleAmethyst = 0, GateoftheGreenEmerald = 0}

	local function SOTAget_objective(id)
		if id == 46 then return "AllianceDefense"
		elseif id == 48 then return "HordeDefense"
		elseif id >= 113 and id <= 115 then return "EastGraveyard"
		elseif id >= 213 and id <= 215 then return "WestGraveyard"
		elseif id >= 313 and id <= 315 then return "SouthGraveyard"
		elseif id >= 477 and id <= 479 then return "AllianceChamberofAncientRelics"
		elseif id >= 480 and id <= 482 then return "HordeChamberofAncientRelics"
		elseif id >= 577 and id <= 579 then return "GateoftheRedSun"
		elseif id >= 680 and id <= 682 then return "GateoftheBlueSapphire"
		elseif id >= 702 and id <= 704 then return "GateoftheYellowMoon"
		elseif id >= 805 and id <= 807 then return "GateofthePurpleAmethyst"
		elseif id >= 908 and id <= 910 then return "GateoftheGreenEmerald"
		else return false
		end
	end

	local function SOTAobj_state(id)
		if id == 115 or id == 215 or id == 315 then
		return 1 -- Alliance Graveyard
		elseif id == 113 or id == 213 or id == 313 then
		return 2 -- Horde Graveyard
		elseif id == 477 or id == 478 then
		return 3 -- Alliance Chamber Gate undamaged or damaged
		elseif id == 479 then
		return 4 -- Alliance Chamber Gate destroyed
		elseif id == 480 or id == 481 then
		return 5 -- Horde Chamber Gate undamaged or damaged
		elseif id == 482 then
		return 6 -- Horde Chamber Gate destroyed
		elseif id == 577 or id == 680 or id == 702 or id == 805 or id == 908 or id == 578 or id == 681 or id == 703 or id == 806 or id == 909 then
		return 7 -- Other Gates undamaged or damaged
		elseif id == 579 or id == 682 or id == 704 or id == 807 or id == 910 then
		return 8 -- Other Gates destroyed
		else return 0
		end
	end
	
	local EOTSobjectives = {VictoryPoints = 0}

	local function EOTSget_objective(id)
		if id then return "VictoryPoints"
		else return false
		end
	end

	local function EOTSobj_state(id)
		if id == 1600 then
		return 1 -- Victory Points: 1600/1600
		else
		return 0 -- Victory Points: 0-1599/1600
		end
	end

	local EOTSRBGobjectives = {BloodElfTower = 0, DraeneiRuins = 0, FelReaverRuins = 0, MageTower = 0}

	local function EOTSRBGget_objective(id)
		if id >= 106 and id <= 110 then return "BloodElfTower"
		elseif id >= 206 and id <= 210 then return "DraeneiRuins"
		elseif id >= 306 and id <= 310 then return "FelReaverRuins"
		elseif id >= 406 and id <= 410 then return "MageTower"
		else return false
		end
	end

	local function EOTSRBGobj_state(id)
		if id == 106 or id == 206 or id == 306 or id == 406 then
		return 1 -- Alliance Base
		elseif id == 107 or id == 207 or id == 307 or id == 407 then
		return 2 -- Horde Base
		elseif id == 108 or id == 208 or id == 308 or id == 408 then
		return 3 -- Alliance trys to capture
		elseif id == 109 or id == 209 or id == 309 or id == 409 then
		return 4 -- Horde trys to capture
		else return 0 -- Noone controling
		end
	end

	local WGobjectives = {FlamewatchTower = 0, ShadowsightTower = 0, WintersEdgeTower = 0}

	local function WGget_objective(id)
		if id >= 110 and id <= 153 then return "FlamewatchTower"
		elseif id >= 210 and id <= 253 then return "ShadowsightTower"
		elseif id >= 310 and id <= 353 then return "WintersEdgeTower"
		else return false
		end
	end

	local function WGobj_state(id)
		if id == 111 or id == 211 or id == 311 then
		return 1 -- Alliance Tower
		elseif id == 110 or id == 210 or id == 310 then
		return 2 -- Horde Tower
		elseif id == 150 or id == 250 or id == 350 then
		return 3 -- Alliance Tower Heavily Damaged
		elseif id == 152 or id == 252 or id == 352 then
		return 4 -- Horde Tower Heavily Damaged
		elseif id == 151 or id == 251 or id == 351 then
		return 5 -- Alliance Tower Destroyed
		elseif id == 153 or id == 253 or id == 353 then
		return 6 -- Horde Tower Destroyed
		else return 0
		end
	end
	
	local AVandIOCCDobjectives = {Reinforcements = 0}

	local function AVandIOCCDget_objective(id)
		if id == 11 or id == 10 or id == 6 or id == 5 or id == 2 or id == 1 then return "Reinforcements"
		else return false
		end
	end

	local function AVandIOCCDobj_state(id)
		if id == 11 then
		return 1 -- Reinforcements: 11
		elseif id == 10 then
		return 2 -- Reinforcements: 10
		elseif id == 6 then
		return 3 -- Reinforcements: 6
		elseif id == 5 then
		return 4 -- Reinforcements: 5
		elseif id == 2 then
		return 5 -- Reinforcements: 2
		elseif id == 1 then
		return 6 -- Reinforcements: 1
		else return 0
		end
	end

function PVPSound_OnEvent(self, event, ...)
	if (select(4, GetBuildInfo())) >= 40200 then
		arg1, eventType, hideCaster, sourceGUID, sourceName, sourceFlags, sourceRaidFlags, destGUID, destName, destFlags, destRaidFlags, _, swingOverkill, _, _, spellOverkill = select(1, ...)
	elseif (select(4, GetBuildInfo())) >= 40100 then
		arg1, eventType, hideCaster, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, _, swingOverkill, _, _, spellOverkill = select(1, ...)
	elseif (select(4, GetBuildInfo())) >= 40000 then
		arg1, eventType, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags, _, swingOverkill, _, _, spellOverkill = select(1, ...)
	end
	local player = UnitGUID("player")
	local PS_COMBATLOG_FILTER_ENEMY_PLAYERS = bit.bor (COMBATLOG_OBJECT_AFFILIATION_MASK, COMBATLOG_OBJECT_REACTION_MASK, COMBATLOG_OBJECT_CONTROL_PLAYER, COMBATLOG_OBJECT_TYPE_PLAYER)
	local PS_COMBATLOG_FILTER_ENEMY_NPC = bit.bor (COMBATLOG_OBJECT_AFFILIATION_MASK, COMBATLOG_OBJECT_REACTION_MASK, COMBATLOG_OBJECT_CONTROL_PLAYER, COMBATLOG_OBJECT_TYPE_PLAYER, COMBATLOG_OBJECT_CONTROL_NPC, COMBATLOG_OBJECT_TYPE_NPC)
	local PS_msg = ""

	CurrentZone = GetRealZoneText()

	-- Battlegrounds
	if CurrentZone == ZONE_WSG then
		MyZone = "Zone_WarsongGulch"
		MyZoneFix = "Zone_WarsongGulch"
	elseif CurrentZone == ZONE_AB then
		MyZone = "Zone_ArathiBasin"
	elseif CurrentZone == ZONE_AV then
		MyZone = "Zone_AlteracValley"
	elseif CurrentZone == ZONE_EOTS then
		MyZone = "Zone_EyeoftheStorm"
	elseif CurrentZone == ZONE_IOC then
		MyZone = "Zone_IsleofConquest"
	elseif CurrentZone == ZONE_SOTA then
		MyZone = "Zone_StrandoftheAncients"
	elseif CurrentZone == ZONE_TP then
		MyZone = "Zone_TwinPeaks"
		MyZoneFix = "Zone_TwinPeaks"
	elseif CurrentZone == ZONE_TBFG then
		MyZone = "Zone_TheBattleforGilneas"
	 -- Battlefields
	elseif CurrentZone == ZONE_TB then
		MyZone = "Zone_TolBarad"
	elseif CurrentZone == ZONE_WG then
		MyZone = "Zone_Wintergrasp"
	 -- Arenas
	elseif CurrentZone == ZONE_ROL then
		MyZone = "RuinsofLordaeron"
	elseif CurrentZone == ZONE_BEA then
		MyZone = "Zone_BladesEdgeArena"
	elseif CurrentZone == ZONE_NA then
		MyZone = "Zone_NagrandArena"
	elseif CurrentZone == ZONE_DA then
		MyZone = "Zone_DalaranArena"
	elseif CurrentZone == ZONE_TROV then
		MyZone = "Zone_TheRingofValor"
	else
		MyZone = GetRealZoneText()
	end

	if (event == "PLAYER_ENTERING_WORLD") then
		MyFaction = UnitFactionGroup("player")
		if (UnitSex("player") == 1) then
			MyGender = "Unknown"
		elseif (UnitSex("player") == 2) then
			MyGender = "Male"
		elseif (UnitSex("player") == 3) then
			MyGender = "Female"
		end
	end

	if (event == "PLAYER_DEAD") then
		PS_timer_reset = true
	end

	if PS_bgsound == true then
	-- PlaySounds
	if (event == "ZONE_CHANGED_NEW_AREA") then
		MyZoneFix = GetRealZoneText()
		CurrentZone = GetRealZoneText()
		BgIsOver = "No"
		IocAllianceGateDown = "No"
		IocHordeGateDown = "No"
		-- Battleground PlaySounds
		if (MyZone == "Zone_WarsongGulch" or MyZone == "Zone_EyeoftheStorm" or MyZone == "Zone_ArathiBasin" or MyZone == "Zone_AlteracValley" or MyZone == "Zone_IsleofConquest" or MyZone == "Zone_StrandoftheAncients" or MyZone == "Zone_TwinPeaks" or MyZone == "Zone_TheBattleforGilneas") then
			PS_killcounter = 0
			if (MyFaction == "Alliance") then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnBlue.mp3")
			elseif (MyFaction == "Horde") then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnRed.mp3")
			end
		 -- Arena PlaySouns
		elseif (MyZone == "Zone_RingofValor" or MyZone == "Zone_BladesEdgeArena" or MyZone == "Zone_NagrandArena" or MyZone == "Zone_DalaranArena" or MyZone == "Zone_TheRingofValor") then
			PS_killcounter = 0
			PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\PrepareForBattle.mp3")
		 -- Tol Barad PlaySounds
		elseif (MyZone == "Zone_TolBarad") then
			PS_killcounter = 0
			local _, localizedName, isActive = GetWorldPVPAreaInfo(2)
			if isActive == true then
				TbActive = "Active"
			elseif isActive == false then
				TbActive = "NotActive"
			end
			if (TbActive == "Active") then
				if (MyFaction == "Alliance") then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnBlue.mp3")
				elseif (MyFaction == "Horde") then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnRed.mp3")
				end
				for i=1, 1, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						if (textureIndex == 48) then
							TbAttacker = "Alliance"
						elseif (textureIndex == 46) then
							TbAttacker = "Horde"
						end
					end
				end
				if ((TbAttacker == "Alliance") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				elseif ((TbAttacker == "Alliance") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((TbAttacker == "Horde") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((TbAttacker == "Horde") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				end
			end
		 -- Wintergrasp PlaySounds
		elseif (MyZone == "Zone_Wintergrasp") then
			PS_killcounter = 0
			local _, localizedName, isActive = GetWorldPVPAreaInfo(1)
			if isActive == true then
				WgActive = "Active"
			elseif isActive == false then
				WgActive = "NotActive"
			end
			if (WgActive == "Active") then
				if (MyFaction == "Alliance") then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnBlue.mp3")
				elseif (MyFaction == "Horde") then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\Play.mp3")
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\YouAreOnRed.mp3")
				end
				for i=7, 7, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						if (textureIndex == 68) then
							WgAttacker = "Alliance"
						elseif (textureIndex == 71) then
							WgAttacker = "Horde"
						end
					end
				end
				if ((WgAttacker == "Alliance") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				elseif ((WgAttacker == "Alliance") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((WgAttacker == "Horde") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((WgAttacker == "Horde") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				end
			end
		end
		PS_timer_reset = true
	end
	-- WinSounds
	if (event == "CHAT_MSG_BG_SYSTEM_NEUTRAL") or (event == "CHAT_MSG_BG_SYSTEM_ALLIANCE") or (event == "CHAT_MSG_BG_SYSTEM_HORDE") or (event == "CHAT_MSG_MONSTER_YELL") then
		if (string.find(arg1,BG_ALLIANCE_WINS)) and not (BgIsOver == "Yes") then
			PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\AllianceWins.mp3")
			BgIsOver = "Yes"
		elseif (string.find(arg1,BG_HORDE_WINS)) and not (BgIsOver == "Yes") then
			PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\HordeWins.mp3")
			BgIsOver = "Yes"
		end
	end

	if (event == "CHAT_MSG_BG_SYSTEM_NEUTRAL") then
		-- Waronsg Gulch and Twin Peaks Vulnerable
		if ((MyZoneFix == "Zone_WarsongGulch") or (MyZoneFix == "Zone_TwinPeaks")) then -- Fix for the 4.2.0 and 4.2.2 Zone Bug
			if (string.find(arg1,BG_VULNERABLE)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\Overtime.mp3")
			end
		 -- Strand of the Ancients Attack/Defend Sounds
		elseif (MyZone == "Zone_StrandoftheAncients") then
			if (string.find(arg1,BG_SOTA_ROUND_ONE)) or (string.find(arg1,BG_SOTA_ROUND_TWO)) then
				for i=1, 1, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						if (textureIndex == 46) then
							SotaAttacker = "Horde"
						end
					end
				end
				for i=8, 8, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						if (textureIndex == 48) then
							SotaAttacker = "Alliance"
						end
					end
				end
				if ((SotaAttacker == "Alliance") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				elseif ((SotaAttacker == "Alliance") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((SotaAttacker == "Horde") and (MyFaction == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\DefendYourCore.mp3")
				elseif ((SotaAttacker == "Horde") and (MyFaction == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\AttackTheEnemyCore.mp3")
				end
			elseif (string.find(arg1,BG_SOTA_ROUND_TWO_TWO)) then
				SotaRoundOver = "No"
			end
		end

	elseif (event == "CHAT_MSG_BG_SYSTEM_ALLIANCE") or (event == "CHAT_MSG_BG_SYSTEM_HORDE") then
		-- Waronsg Gulch and Twin Peaks
		if ((MyZoneFix == "Zone_WarsongGulch") or (MyZoneFix == "Zone_TwinPeaks")) then -- Fix for the 4.2.0 and 4.2.2 Zone Bug
			if (string.find(arg1,BG_PICKED)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Flag_Taken.mp3")
			elseif (string.find(arg1,BG_DROPPED)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Flag_Dropped.mp3")
			elseif (string.find(arg1,BG_RETURNED)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Flag_Returned.mp3")
			elseif (string.find(arg1,BG_CAPTURED)) then
				local x = 2
				local y = 3
				if ((select(4, GetWorldStateUIInfo(x))) ~= nil) then
					-- Alliance Score
					AllianceScore = tonumber(string.match(select(4, GetWorldStateUIInfo(x)), "(%d+)/3"))
				end
				if ((select(4, GetWorldStateUIInfo(y))) ~= nil) then
					-- Horde Score
					HordeScore = tonumber(string.match(select(4, GetWorldStateUIInfo(y)), "(%d+)/3"))
				end
				if (AllianceScore == 1) and (HordeScore == 0) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Takes_Lead.mp3")
				elseif (AllianceScore == 0) and (HordeScore == 1) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Takes_Lead.mp3")
				elseif (AllianceScore == 2) and (HordeScore == 1) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 1) and (HordeScore == 2) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 1) and (HordeScore == 1) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 2) and (HordeScore == 2) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 0) and (HordeScore == 2) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Inc_Lead.mp3")
				elseif (AllianceScore == 2) and (HordeScore == 0) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Inc_Lead.mp3")
				elseif (AllianceScore == 3) and (HordeScore == 0) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 3) and (HordeScore == 1) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 3) and (HordeScore == 2) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 0) and (HordeScore == 3) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 1) and (HordeScore == 3) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				elseif (AllianceScore == 2) and (HordeScore == 3) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Zone_WarsongGulch\\"..event.."_Scores.mp3")
				end
			end
		 -- Eye of the Storm
		elseif (MyZone == "Zone_EyeoftheStorm") then
			if (string.find(arg1,BG_EOTS_CONTROL)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\"..event.."_Defense.mp3")
			elseif (string.find(arg1,BG_EOTS_LOST_CONTROL)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\"..event.."_Offense.mp3")
			elseif (string.find(arg1,BG_CAPTURED)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\"..event.."_Scores.mp3")
			end
		 -- Isle of Conquest Gate Destroyed
		elseif (MyZone == "Zone_IsleofConquest") then
			if (string.find(arg1,BG_IOC_GATE_DOWN)) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
				if (event == "CHAT_MSG_BG_SYSTEM_ALLIANCE") then
					if not (IocHordeGateDown == "Yes") then
						PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\"..event.."_Vulnerable.mp3")
						IocHordeGateDown = "Yes"
					end
				elseif (event == "CHAT_MSG_BG_SYSTEM_HORDE") then
					if not (IocAllianceGateDown == "Yes") then
						PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\"..event.."_Vulnerable.mp3")
						IocAllianceGateDown = "Yes"
					end
				end
			end
		end

	elseif (event == "CHAT_MSG_MONSTER_YELL") then
		-- Alterac Valley
		if (MyZone == "Zone_AlteracValley") then
			if (string.find(arg1,BG_AV_WILL_DESTROY_IT) or string.find(arg1,BG_AV_WILL_CAPTURE_IT)) then
				if (string.find(arg1,FACTION_HORDE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
				elseif (string.find(arg1,FACTION_ALLIANCE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
				end
			elseif (string.find(arg1,BG_HAS_TAKEN) or string.find(arg1,BG_TAKEN)) then
				if (string.find(arg1,FACTION_HORDE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
				elseif (string.find(arg1,FACTION_ALLIANCE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
				end
			elseif (string.find(arg1,BG_AV_HAS_DESTROYED)) then
				if (string.find(arg1,FACTION_HORDE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Destroyed.mp3")
				elseif (string.find(arg1,FACTION_ALLIANCE)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Destroyed.mp3")
				end
			end
		end

	elseif (event == "CHAT_MSG_RAID_BOSS_EMOTE") then
		-- Wintergrasp
		if (MyZone == "Zone_Wintergrasp") then
			local _, localizedName, isActive = GetWorldPVPAreaInfo(1)
			if isActive == true then
				WgActive = "Active"
			elseif isActive == false then
				WgActive = "NotActive"
			end
			-- WinSounds
			if ((string.find(arg1,BF_WG_ALLIANCE_WIN_DEFENDED)) or (string.find(arg1,BF_WG_ALLIANCE_WIN_CAPTURED))) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\AllianceWins.mp3")
			elseif ((string.find(arg1,BF_WG_HORDE_WIN_DEFENDED)) or (string.find(arg1,BF_WG_HORDE_WIN_CAPTURED))) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\HordeWins.mp3")
			end
			if (WgActive == "Active") then
				-- Workshops
				if (string.find(arg1,BF_WG_ALLIANCE_ATTACKED)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
				elseif (string.find(arg1,BF_WG_ALLIANCE_CAPTURED)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
				elseif (string.find(arg1,BF_WG_HORDE_ATTACKED)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
				elseif (string.find(arg1,BF_WG_HORDE_CAPTURED)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
				end
			end
		 -- Tol Barad
		elseif (MyZone == "Zone_TolBarad") then
			local _, localizedName, isActive = GetWorldPVPAreaInfo(2)
			if isActive == true then
				TbActive = "Active"
			elseif isActive == false then
				TbActive = "NotActive"
			end
			-- WinSounds
			if ((string.find(arg1,BF_TB_ALLIANCE_SUCCESSFULLY_DEFENDED)) or (string.find(arg1,BF_TB_ALLIANCE_SUCCESSFULLY_TAKEN))) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\AllianceWins.mp3")
			elseif ((string.find(arg1,BF_TB_HORDE_SUCCESSFULLY_DEFENDED)) or (string.find(arg1,BF_TB_HORDE_SUCCESSFULLY_TAKEN))) then
				PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\HordeWins.mp3")
			end
			if (TbActive == "Active") then
				for i=1, 1, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						if (textureIndex == 48) then
							TbAttacker = "Alliance"
						elseif (textureIndex == 46) then
							TbAttacker = "Horde"
						end
					end
				end
				-- Bases
				if (string.find(arg1,BF_TB_ALLIANCE_LOST_CONTROL)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
				elseif (string.find(arg1,BF_TB_HORDE_LOST_CONTROL)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
				elseif (string.find(arg1,BF_TB_ALLIANCE_TAKEN)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
				elseif (string.find(arg1,BF_TB_HORDE_TAKEN)) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
				end
				-- Towers
				if ((string.find(arg1,BF_TB_DAMAGED)) and (TbAttacker == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_HeavilyDamaged.mp3")
				elseif ((string.find(arg1,BF_TB_DESTROYED)) and (TbAttacker == "Horde")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Destroyed.mp3")
				elseif ((string.find(arg1,BF_TB_DAMAGED)) and (TbAttacker == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_HeavilyDamaged.mp3")
				elseif ((string.find(arg1,BF_TB_DESTROYED)) and (TbAttacker == "Alliance")) then
					PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Destroyed.mp3")
				end
			end
		 -- Strand of the Ancients Round One Finished
		elseif (MyZone == "Zone_StrandoftheAncients") then
			if (string.find(arg1,BG_SOTA_ROUND_ONE_FINISHED)) then
				SotaRoundOver = "Yes"
			end
		 -- Eye of the Storm RBG
		elseif (MyZone == "Zone_EyeoftheStorm") then
			-- Blood Elf Tower
			for i=1, 1, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+100
					local type = EOTSRBGget_objective(faketextureIndex)
					if type then
						if EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 1 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Offense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 2 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Offense.mp3")
						end
						EOTSRBGobjectives[type] = faketextureIndex
					end
				end
			end
			-- Draenei Ruins
			for i=2, 2, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+200
					local type = EOTSRBGget_objective(faketextureIndex)
					if type then
						if EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 1 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Offense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 2 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Offense.mp3")
						end
						EOTSRBGobjectives[type] = faketextureIndex
					end
				end
			end
			-- Fel Reaver Ruins
			for i=3, 3, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+300
					local type = EOTSRBGget_objective(faketextureIndex)
					if type then
						if EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 1 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Offense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 2 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Offense.mp3")
						end
						EOTSRBGobjectives[type] = faketextureIndex
					end
				end
			end
			-- Mage Tower
			for i=4, 4, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+400
					local type = EOTSRBGget_objective(faketextureIndex)
					if type then
						if EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 3 and EOTSRBGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Defense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 1 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_ALLIANCE_Offense.mp3")
						elseif EOTSRBGobj_state(EOTSRBGobjectives[type]) == 2 and EOTSRBGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\CHAT_MSG_BG_SYSTEM_HORDE_Offense.mp3")
						end
						EOTSRBGobjectives[type] = faketextureIndex
					end
				end
			end
		end

	elseif (event == "WORLD_MAP_UPDATE") then
		-- Strand of the Ancients
		if (MyZone == "Zone_StrandoftheAncients") then
			-- If the Round is not over yet
			if not (SotaRoundOver == "Yes") then
				-- East Graveyard
				for i=2, 3, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+100
						local type = SOTAget_objective(faketextureIndex)
						if type then
							if SOTAobj_state(SOTAobjectives[type]) == 2 and SOTAobj_state(faketextureIndex) == 1 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
							elseif SOTAobj_state(SOTAobjectives[type]) == 1 and SOTAobj_state(faketextureIndex) == 2 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
							end
							SOTAobjectives[type] = faketextureIndex
						end
					end
				end
				-- South Graveyard
				for i=9, 9, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+300
						local type = SOTAget_objective(faketextureIndex)
						if type then
							if SOTAobj_state(SOTAobjectives[type]) == 2 and SOTAobj_state(faketextureIndex) == 1 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
							elseif SOTAobj_state(SOTAobjectives[type]) == 1 and SOTAobj_state(faketextureIndex) == 2 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
							end
							SOTAobjectives[type] = faketextureIndex
						end
					end
				end
				-- West Graveyard
				for i=12, 12, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+200
						local type = SOTAget_objective(faketextureIndex)
						if type then
							if SOTAobj_state(SOTAobjectives[type]) == 2 and SOTAobj_state(faketextureIndex) == 1 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
							elseif SOTAobj_state(SOTAobjectives[type]) == 1 and SOTAobj_state(faketextureIndex) == 2 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
							end
							SOTAobjectives[type] = faketextureIndex
						end
					end
				end
			end
			-- Alliance Chamber of Ancient Relics
			for i=1, 2, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+400
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 3 and SOTAobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Vulnerable.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Horde Chamber of Ancient Relics
			for i=1, 2, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+400
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 5 and SOTAobj_state(faketextureIndex) == 6 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Vulnerable.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gate of the Blue Sapphire
			for i=3, 4, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+600
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 7 and SOTAobj_state(faketextureIndex) == 8 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gate of the Green Emerald
			for i=4, 5, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+800
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 7 and SOTAobj_state(faketextureIndex) == 8 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gate of the Purple Amethyst
			for i=5, 6, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+700
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 7 and SOTAobj_state(faketextureIndex) == 8 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gate of the Red Sun
			for i=6, 7, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+500
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 7 and SOTAobj_state(faketextureIndex) == 8 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gate of the Yellow Moon
			for i=7, 8, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+600
					local type = SOTAget_objective(faketextureIndex)
					if type then
						if SOTAobj_state(SOTAobjectives[type]) == 7 and SOTAobj_state(faketextureIndex) == 8 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\BarricadeDestroyed.mp3")
						end
						SOTAobjectives[type] = faketextureIndex
					end
				end
			end
		 -- Isle of Conquest
		elseif (MyZone == "Zone_IsleofConquest") then
			-- Bases
			for i=1, GetNumMapLandmarks(), 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local type = IOCget_objective(textureIndex)
					if type then
						if IOCobj_state(IOCobjectives[type]) == 3 and IOCobj_state(textureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif IOCobj_state(IOCobjectives[type]) == 4 and IOCobj_state(textureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif IOCobj_state(IOCobjectives[type]) == 1 and IOCobj_state(textureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif IOCobj_state(IOCobjectives[type]) == 2 and IOCobj_state(textureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif IOCobj_state(IOCobjectives[type]) == 3 and IOCobj_state(textureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif IOCobj_state(IOCobjectives[type]) == 4 and IOCobj_state(textureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						IOCobjectives[type] = textureIndex
					end
				end
			end
		 -- Wintergrasp
		elseif (MyZone == "Zone_Wintergrasp") then
			local _, localizedName, isActive = GetWorldPVPAreaInfo(1)
			if isActive == true then
				WgActive = "Active"
			elseif isActive == false then
				WgActive = "NotActive"
			end
			if (WgActive == "Active") then
				-- Flamewatch Tower
				for i=5, 5, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+100
						local type = WGget_objective(faketextureIndex)
						if type then
							if WGobj_state(WGobjectives[type]) == 1 and WGobj_state(faketextureIndex) == 3 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 2 and WGobj_state(faketextureIndex) == 4 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 3 and WGobj_state(faketextureIndex) == 5 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Destroyed.mp3")
							elseif WGobj_state(WGobjectives[type]) == 4 and WGobj_state(faketextureIndex) == 6 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Destroyed.mp3")
							end
							WGobjectives[type] = faketextureIndex
						end
					end
				end
				-- Shadowsight Tower
				for i=9, 9, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+200
						local type = WGget_objective(faketextureIndex)
						if type then
							if WGobj_state(WGobjectives[type]) == 1 and WGobj_state(faketextureIndex) == 3 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 2 and WGobj_state(faketextureIndex) == 4 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 3 and WGobj_state(faketextureIndex) == 5 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Destroyed.mp3")
							elseif WGobj_state(WGobjectives[type]) == 4 and WGobj_state(faketextureIndex) == 6 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Destroyed.mp3")
							end
							WGobjectives[type] = faketextureIndex
						end
					end
				end
				-- Winter's Edge Tower
				for i=15, 15, 1 do
					local name, _, textureIndex = GetMapLandmarkInfo(i)
					if name and textureIndex then
						local faketextureIndex = textureIndex+300
						local type = WGget_objective(faketextureIndex)
						if type then
							if WGobj_state(WGobjectives[type]) == 1 and WGobj_state(faketextureIndex) == 3 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 2 and WGobj_state(faketextureIndex) == 4 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_HeavilyDamaged.mp3")
							elseif WGobj_state(WGobjectives[type]) == 3 and WGobj_state(faketextureIndex) == 5 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Destroyed.mp3")
							elseif WGobj_state(WGobjectives[type]) == 4 and WGobj_state(faketextureIndex) == 6 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Destroyed.mp3")
							end
							WGobjectives[type] = faketextureIndex
						end
					end
				end
			end
		end

	elseif (event == "UPDATE_WORLD_STATES") then
		-- Arathi Basin
		if (MyZone == "Zone_ArathiBasin") then
			-- Blacksmith
			for i=1, 1, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+100
					local type = ABget_objective(faketextureIndex)
					if type then
						if ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 1 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 2 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						ABobjectives[type] = faketextureIndex
					end
				end
			end
			-- Farm
			for i=2, 2, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+200
					local type = ABget_objective(faketextureIndex)
					if type then
						if ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 1 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 2 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						ABobjectives[type] = faketextureIndex
					end
				end
			end
			-- Gold Mine
			for i=3, 3, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+300
					local type = ABget_objective(faketextureIndex)
					if type then
						if ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 1 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 2 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						ABobjectives[type] = faketextureIndex
					end
				end
			end
			-- Lumber Mill
			for i=4, 4, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+400
					local type = ABget_objective(faketextureIndex)
					if type then
						if ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 1 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 2 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						ABobjectives[type] = faketextureIndex
					end
				end
			end
			-- Stables
			for i=5, 5, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+500
					local type = ABget_objective(faketextureIndex)
					if type then
						if ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 1 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 2 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 3 and ABobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif ABobj_state(ABobjectives[type]) == 4 and ABobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						ABobjectives[type] = faketextureIndex
					end
				end
			end
		 -- The Battle for Gilneas
		elseif (MyZone == "Zone_TheBattleforGilneas") then
			-- Lighthouse
			for i=1, 1, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+100
					local type = TBFGget_objective(faketextureIndex)
					if type then
						if TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 1 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 2 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						TBFGobjectives[type] = faketextureIndex
					end
				end
			end
			-- Mines
			for i=2, 2, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+200
					local type = TBFGget_objective(faketextureIndex)
					if type then
						if TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 1 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 2 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						TBFGobjectives[type] = faketextureIndex
					end
				end
			end
			-- Waterworks
			for i=3, 3, 1 do
				local name, _, textureIndex = GetMapLandmarkInfo(i)
				if name and textureIndex then
					local faketextureIndex = textureIndex+300
					local type = TBFGget_objective(faketextureIndex)
					if type then
						if TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 1 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 2 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Defense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 1 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 2 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 3 and TBFGobj_state(faketextureIndex) == 4 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\HORDE_Offense.mp3")
						elseif TBFGobj_state(TBFGobjectives[type]) == 4 and TBFGobj_state(faketextureIndex) == 3 then
							PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\"..MyZone.."\\ALLIANCE_Offense.mp3")
						end
						TBFGobjectives[type] = faketextureIndex
					end
				end
			end
		 -- Eye of the Storm WinSounds
		elseif (MyZone == "Zone_EyeoftheStorm") then
			if not (BgIsOver == "Yes") then
				-- Alliance Victory Points
				for i=2, 2, 1 do
					if ((select(4, GetWorldStateUIInfo(i))) ~= nil) then
						local faketextureIndex = tonumber(string.match(select(4, GetWorldStateUIInfo(i)), "(%d+)/1600"))
						if faketextureIndex then
							local type = EOTSget_objective(faketextureIndex)
							if type then
								if EOTSobj_state(EOTSobjectives[type]) == 0 and EOTSobj_state(faketextureIndex) == 1 then
									PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\AllianceWins.mp3")
									BgIsOver = "Yes"
								end
								EOTSobjectives[type] = faketextureIndex
							end
						end
					end
				end
				-- Horde Victory Points
				for i=3, 3, 1 do
					if ((select(4, GetWorldStateUIInfo(i))) ~= nil) then
						local faketextureIndex = tonumber(string.match(select(4, GetWorldStateUIInfo(i)), "(%d+)/1600"))
						if faketextureIndex then
							local type = EOTSget_objective(faketextureIndex)
							if type then
								if EOTSobj_state(EOTSobjectives[type]) == 0 and EOTSobj_state(faketextureIndex) == 1 then
									PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\GameStatus\\HordeWins.mp3")
									BgIsOver = "Yes"
								end
								EOTSobjectives[type] = faketextureIndex
							end
						end
					end
				end
			end
		 -- Alterac Valley and Isle of Conquest Countdown
		elseif (MyZone == "Zone_AlteracValley") or (MyZone == "Zone_IsleofConquest") then
			-- Alliance Reinforcements
			for i=1, 1, 1 do
				if ((select(4, GetWorldStateUIInfo(i))) ~= nil) then
					local faketextureIndex = tonumber(string.match(select(4, GetWorldStateUIInfo(i)), ": (%d+)"))
					if faketextureIndex then
						local type = AVandIOCCDget_objective(faketextureIndex)
						if type then
							if AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 1 and AVandIOCCDobj_state(faketextureIndex) == 2 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\TenKillsRemain.mp3")
							elseif AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 3 and AVandIOCCDobj_state(faketextureIndex) == 4 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\FiveKillsRemain.mp3")
							elseif AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 5 and AVandIOCCDobj_state(faketextureIndex) == 6 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\OneKillRemains.mp3")
							end
							AVandIOCCDobjectives[type] = faketextureIndex
						end
					end
				end
			end
			-- Horde Reinforcements
			for i=2, 2, 1 do
				if ((select(4, GetWorldStateUIInfo(i))) ~= nil) then
					local faketextureIndex = tonumber(string.match(select(4, GetWorldStateUIInfo(i)), ": (%d+)"))
					if faketextureIndex then
						local type = AVandIOCCDget_objective(faketextureIndex)
						if type then
							if AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 1 and AVandIOCCDobj_state(faketextureIndex) == 2 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\TenKillsRemain.mp3")
							elseif AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 3 and AVandIOCCDobj_state(faketextureIndex) == 4 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\FiveKillsRemain.mp3")
							elseif AVandIOCCDobj_state(AVandIOCCDobjectives[type]) == 5 and AVandIOCCDobj_state(faketextureIndex) == 6 then
								PVPSound_AddToQueue("Interface\\AddOns\\PVPSound\\Sounds\\CountDown\\OneKillRemains.mp3")
							end
							AVandIOCCDobjectives[type] = faketextureIndex
						end
					end
				end
			end
		end
	end
	end -- PS_bgsounds == true

	-- See if its to an enemy
	local toEnemy
	local toEnemyPlayer
	local toEnemyNPC
	if (destName and not CombatLog_Object_IsA(destFlags, COMBATLOG_OBJECT_NONE)) then
		toEnemyPlayer = CombatLog_Object_IsA(destFlags, PS_COMBATLOG_FILTER_ENEMY_PLAYERS)
		toEnemyNPC = CombatLog_Object_IsA(destFlags, PS_COMBATLOG_FILTER_ENEMY_NPC)
	end

	if PS_pvpmode == true then
		toEnemy = toEnemyPlayer
	else
		toEnemy = toEnemyNPC
	end

	if PS_killsound == true then
		if (eventType == "PARTY_KILL" and sourceGUID == player and toEnemy) then
			KilledWho = destName
			-- First Killing
			if (not PS_lastkill or (GetTime() - PS_lastkill > PS_reset_time) or PS_timer_reset) then
				PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\FirstBlood.mp3")
				PS_file = "FirstBlood.mp3"
				if (MyGender == "Male") then
					PS_msg = MSG_FirstBloodMale
				elseif (MyGender == "Female") then
					PS_msg = MSG_FirstBloodFemale
				end
				-- RetributionKilling
				if PS_paysound == true then
					if destName == KilledMe then
						PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Retribution.mp3")
					end
				end
				PS_killcounter = 1
				PS_kills = 1
				if (not PS_lastkill or (GetTime() - PS_lastkill > PS_mkill_time) or PS_timer_reset) then
					PS_mkills = 1
				end
				PS_timer_reset = false
			 -- Killing
			elseif (GetTime() - PS_lastkill <= PS_reset_time) then
				PS_killcounter = PS_killcounter + 1
				if (GetTime() - PS_lastkill <= PS_kill_time) then
					PS_firstmkill = PS_lastkill
					if (GetTime() - PS_firstmkill <= PS_kill_time) then
						PS_kills = PS_kills + 1
						if (PS_kills == 2) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\KillingSpree.mp3")
							PS_file = "KillingSpree.mp3"
							PS_msg = MSG_KillingSpree
						elseif (PS_kills == 3) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Rampage.mp3")
							PS_file = "Rampage.mp3"
							PS_msg = MSG_Rampage
						elseif (PS_kills == 4) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Dominating.mp3")
							PS_file = "Dominating.mp3"
							PS_msg = MSG_Dominating
						elseif (PS_kills == 5) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Unstoppable.mp3")
							PS_file = "Unstoppable.mp3"
							PS_msg = MSG_Unstopable
						elseif (PS_kills == 6) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Godlike.mp3")
							PS_file = "Godlike.mp3"
							PS_msg = MSG_Godlike
						elseif (PS_kills > 6) then
							PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Massacre.mp3")
							PS_file = "Massacre.mp3"
							PS_msg = MSG_Massacre
						end
						-- MultiKilling
						if PS_multikillsound == true then
							if (GetTime() - PS_lastkill <= PS_mkill_time) then
								PS_firstdkill = PS_lastkill
								if (GetTime() - PS_firstdkill > PS_mkill_time) then
									PS_mkills = 1
								elseif (GetTime() - PS_firstdkill <= PS_mkill_time) then
									PS_mkills = PS_mkills + 1
									if (PS_mkills == 2) then
										PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\DoubleKill.mp3")
									elseif (PS_mkills == 3) then
										PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\MultiKill.mp3")
									elseif (PS_mkills == 4) then
										PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\MegaKill.mp3")
									elseif (PS_mkills == 5) then
										PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\UltraKill.mp3")
									elseif (PS_mkills > 5) then
										PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\MonsterKill.mp3")
									end
								end
							end
						end
					end
				 -- If triggers a kill after the Killing Time (60sec) than replay the last KillSound without emote
				elseif (GetTime() - PS_lastkill > PS_kill_time) then
					PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\"..PS_file)
				end
			end
			-- Reseting MultiKilling
			if (not PS_lastkill or (GetTime() - PS_lastkill > PS_mkill_time)) then
				PS_mkills = 1
			end
			PS_lastkill = GetTime()
		 -- PaybackKilling
		elseif (eventType == "SWING_DAMAGE" and toEnemy and sourceName == KilledWho and destGUID == player and tonumber(swingOverkill) ~= nil and tonumber(swingOverkill) ~= -1) then
			if PS_paysound == true then
				if (MyZone == "Zone_WarsongGulch" or MyZone == "Zone_EyeoftheStorm" or MyZone == "Zone_ArathiBasin" or MyZone == "Zone_AlteracValley" or MyZone == "Zone_IsleofConquest" or MyZone == "Zone_StrandoftheAncients" or MyZone == "Zone_TwinPeaks" or MyZone == "Zone_TheBattleforGilneas" or MyZone == "Zone_TolBarad" or MyZone == "Zone_Wintergrasp") then
					KilledMe = sourceName
					PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Payback.mp3")
					if PS_emote == true then
						print("|cFFFF4500"..MSG_YouGotKilledBy.." "..KilledMe.."!")
					end
				end
			end
		elseif ((eventType == "RANGE_DAMAGE" or eventType == "SPELL_DAMAGE" or eventType == "SPELL_PERIODIC_DAMAGE") and toEnemy and sourceName == KilledWho and destGUID == player and tonumber(spellOverkill) ~= nil and tonumber(spellOverkill) ~= -1) then
			if PS_paysound == true then
				if (MyZone == "Zone_WarsongGulch" or MyZone == "Zone_EyeoftheStorm" or MyZone == "Zone_ArathiBasin" or MyZone == "Zone_AlteracValley" or MyZone == "Zone_IsleofConquest" or MyZone == "Zone_StrandoftheAncients" or MyZone == "Zone_TwinPeaks" or MyZone == "Zone_TheBattleforGilneas" or MyZone == "Zone_TolBarad" or MyZone == "Zone_Wintergrasp") then
					KilledMe = sourceName
					PVPSound_AddKillToQueue("Interface\\AddOns\\PVPSound\\Sounds\\Spree\\Payback.mp3")
					if PS_emote == true then
						print("|cFFFF4500"..MSG_YouGotKilledBy.." "..KilledMe.."!")
					end
				end
			end
		elseif (eventType == "SWING_DAMAGE" and toEnemy and destGUID == player and tonumber(swingOverkill) ~= nil and tonumber(swingOverkill) ~= -1) then
			if PS_paysound == true then
				if (MyZone == "Zone_WarsongGulch" or MyZone == "Zone_EyeoftheStorm" or MyZone == "Zone_ArathiBasin" or MyZone == "Zone_AlteracValley" or MyZone == "Zone_IsleofConquest" or MyZone == "Zone_StrandoftheAncients" or MyZone == "Zone_TwinPeaks" or MyZone == "Zone_TheBattleforGilneas" or MyZone == "Zone_TolBarad" or MyZone == "Zone_Wintergrasp") then
					KilledMe = sourceName
					if PS_emote == true then
						print("|cFFFF4500"..MSG_YouGotKilledBy.." "..KilledMe.."!")
					end
				end
			end
		elseif ((eventType == "RANGE_DAMAGE" or eventType == "SPELL_DAMAGE" or eventType == "SPELL_PERIODIC_DAMAGE") and toEnemy and destGUID == player and tonumber(spellOverkill) ~= nil and tonumber(spellOverkill) ~= -1) then
			if PS_paysound == true then
				if (MyZone == "Zone_WarsongGulch" or MyZone == "Zone_EyeoftheStorm" or MyZone == "Zone_ArathiBasin" or MyZone == "Zone_AlteracValley" or MyZone == "Zone_IsleofConquest" or MyZone == "Zone_StrandoftheAncients" or MyZone == "Zone_TwinPeaks" or MyZone == "Zone_TheBattleforGilneas" or MyZone == "Zone_TolBarad" or MyZone == "Zone_Wintergrasp") then
					KilledMe = sourceName
					if PS_emote == true then
						print("|cFFFF4500"..MSG_YouGotKilledBy.." "..KilledMe.."!")
					end
				end
			end
		end
	end
	if PS_emote == true then
		if (eventType == "PARTY_KILL" and sourceGUID == player and toEnemy) then
			if PS_emotemode == true then
				SendChatMessage(PS_msg, "EMOTE")
			elseif PS_emotemode == false then
				print("|cFFFFFF00"..sourceName.." "..PS_msg)
			end
		end
	end
end

frame:SetScript("OnEvent", PVPSound_OnEvent)

function PVPSound_Command(arg1)
	arg1 = strlower(arg1)
	if arg1 == "pvp" then
		PS_pvpmode = not PS_pvpmode
		if PS_pvpmode == true then
			print("|cFF50C0FF"..Opt_Mode..": |cFFADFF2F"..Opt_PVP)
		else
			print("|cFF50C0FF"..Opt_Mode..": |cFFFF4500"..Opt_PVE)
		end
	elseif arg1 == "emote" then
		PS_emote = not PS_emote
		if PS_emote == true then
			print("|cFF50C0FF"..Opt_Emotes..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_Emotes..": |cFFFF4500"..Opt_Disable)
		end
	elseif arg1 == "emotemode" then
		PS_emotemode = not PS_emotemode
		if PS_emotemode == true then
			print("|cFF50C0FF"..Opt_EmoteMode..": |cFFADFF2F"..Opt_Emote)
		else
			print("|cFF50C0FF"..Opt_EmoteMode..": |cFFFF4500"..Opt_ChatMessage)
		end
	elseif arg1 == "killsound" then
		PS_killsound = not PS_killsound
		if PS_killsound == true then
			print("|cFF50C0FF"..Opt_KillSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_KillSound..": |cFFFF4500"..Opt_Disable)
		end
	elseif arg1 == "paysound" then
		PS_paysound = not PS_paysound
		if PS_paysound == true then
			print("|cFF50C0FF"..Opt_PaySound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_PaySound..": |cFFFF4500"..Opt_Disable)
		end	
	elseif arg1 == "mutlikillsound" then
		PS_multikillsound = not PS_multikillsound
		if PS_multikillsound == true then
			print("|cFF50C0FF"..Opt_MultiKillSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_MultiKillSound..": |cFFFF4500"..Opt_Disable)
		end	
	elseif arg1 == "bgsound" then
		PS_bgsound = not PS_bgsound
		if PS_bgsound == true then
			print("|cFF50C0FF"..Opt_BgSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_BgSound..": |cFFFF4500"..Opt_Disable)
		end	
	elseif arg1 == "soundengine" then
		PS_soundengine = not PS_soundengine
		if PS_soundengine == true then
			print("|cFF50C0FF"..Opt_SoundEngine..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_SoundEngine..": |cFFFF4500"..Opt_Disable)
		end
	elseif arg1 == "channelmaster" then
		PS_channel = "Master"
		if PS_channel == "Master" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFADFF2F"..Opt_Master)
		end
	elseif arg1 == "channelsound" then
		PS_channel = "Sound"
		if PS_channel == "Sound" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Sound)
		end
	elseif arg1 == "channelmusic" then
		PS_channel = "Music"
		if PS_channel == "Music" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Music)
		end
	elseif arg1 == "channelambience" then
		PS_channel = "Ambience"
		if PS_channel == "Ambience" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Ambience)
		end
	elseif arg1 == "test" then
		print("|cFF50C0FF"..Opt_Test.."...")
		PlaySoundFile("Interface\\AddOns\\PVPSound\\Sounds\\Test\\Pancake.mp3", ""..PS_channel.."")
	elseif arg1 == "reset" then
		PVPSound_ClearSoundQueue()
		PVPSound_ClearKillSoundQueue()
		PS_timer_reset = true
		PS_killcounter = 0
		print("|cFF50C0FF"..Opt_Reset..".")
	elseif arg1 == "help" then
		print("|cFFFFA500PVPSound "..GetAddOnMetadata("PVPSound", "Version").." "..Opt_cmdlist)
		print("|cFF50C0FF/ps - |cFFFFFFA0"..Opt_helpstatus)
		print("|cFF50C0FF/ps pvp - |cFFFFFFA0"..Opt_helpmode)
		print("|cFF50C0FF/ps emote - |cFFFFFFA0"..Opt_helpemote)
		print("|cFF50C0FF/ps emotemode - |cFFFFFFA0"..Opt_helpemotemode)
		print("|cFF50C0FF/ps killsound - |cFFFFFFA0"..Opt_helpkillsound)
		print("|cFF50C0FF/ps Paysound - |cFFFFFFA0"..Opt_helppaysound)
		print("|cFF50C0FF/ps multikillsound - |cFFFFFFA0"..Opt_helpmultikillsound)
		print("|cFF50C0FF/ps bgsound - |cFFFFFFA0"..Opt_helpbgsound)
		print("|cFF50C0FF/ps soundengine - |cFFFFFFA0"..Opt_helpsoundengine)
		print("|cFF50C0FF/ps channel'channelname' - |cFFFFFFA0"..Opt_helpchannel)
		print("|cFF50C0FF/ps test - |cFFFFFFA0"..Opt_helptest)
		print("|cFF50C0FF/ps reset - |cFFFFFFA0"..Opt_helpreset)
		print("|cFF50C0FF/ps help - |cFFFFFFA0"..Opt_helpcmdlist)
	else
		print("|cFFFFA500PVPSound "..GetAddOnMetadata("PVPSound", "Version").." "..Opt_helpinput)
		print("|cFF50C0FF"..Opt_kills..": |cFFADFF2F"..PS_killcounter)
		if PS_pvpmode == true then
			print("|cFF50C0FF"..Opt_Mode..": |cFFADFF2F"..Opt_PVP)
		else
			print("|cFF50C0FF"..Opt_Mode..": |cFFFF4500"..Opt_PVE)
		end
		if PS_emote == true then
			print("|cFF50C0FF"..Opt_Emotes..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_Emotes..": |cFFFF4500"..Opt_Disable)
		end
		if PS_emotemode == true then
			print("|cFF50C0FF"..Opt_EmoteMode..": |cFFADFF2F"..Opt_Emote)
		else
			print("|cFF50C0FF"..Opt_EmoteMode..": |cFFFF4500"..Opt_ChatMessage)
		end
		if PS_killsound == true then
			print("|cFF50C0FF"..Opt_KillSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_KillSound..": |cFFFF4500"..Opt_Disable)
		end
		if PS_paysound == true then
			print("|cFF50C0FF"..Opt_PaySound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_PaySound..": |cFFFF4500"..Opt_Disable)
		end
		if PS_multikillsound == true then
			print("|cFF50C0FF"..Opt_MultiKillSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_MultiKillSound..": |cFFFF4500"..Opt_Disable)
		end
		if PS_bgsound == true then
			print("|cFF50C0FF"..Opt_BgSound..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_BgSound..": |cFFFF4500"..Opt_Disable)
		end
		if PS_soundengine == true then
			print("|cFF50C0FF"..Opt_SoundEngine..": |cFFADFF2F"..Opt_Enable)
		else
			print("|cFF50C0FF"..Opt_SoundEngine..": |cFFFF4500"..Opt_Disable)
		end
		if PS_channel == "Master" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFADFF2F"..Opt_Master)
		elseif PS_channel == "Sound" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Sound)
		elseif PS_channel == "Music" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Music)
		elseif PS_channel == "Ambience" then
			print("|cFF50C0FF"..Opt_Channel..": |cFFFF4500"..Opt_Ambience)
		end
	end
end